// Megawin Easy USBDlg.h : header file
//

#if !defined(AFX_MEGAWINEASYUSBDLG_H__542023F6_F2EC_436F_8967_83111C3DB54F__INCLUDED_)
#define AFX_MEGAWINEASYUSBDLG_H__542023F6_F2EC_436F_8967_83111C3DB54F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "HEdit.h"
/////////////////////////////////////////////////////////////////////////////
// CMegawinEasyUSBDlg dialog

class CMegawinEasyUSBDlg : public CDialog
{
// Construction
public:
	CFont m_BufferFont;
	DWORD ShowErrorMessage(DWORD dwErrorCode);
	CMegawinEasyUSBDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMegawinEasyUSBDlg)
	enum { IDD = IDD_MEGAWINEASYUSB_DIALOG };
	CHEdit	m_edtReadBuffer;
	CHEdit	m_edtWriteBuffer;
	CComboBox	m_cboBaudRate;
	CComboBox	m_cboComPort;
	CButton	m_staSetting;
	CComboBox	m_cboDeviceType;
	CString	m_strWriteBuffer;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMegawinEasyUSBDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMegawinEasyUSBDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeCboDeviceType();
	afx_msg void OnBtnExit();
	afx_msg void OnBtnConnect();
	afx_msg void OnBtnDisconnect();
	afx_msg void OnRdoHex();
	afx_msg void OnRdoString();
	afx_msg void OnBtnWriteBytes();
	afx_msg void OnBtnReadBytes();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MEGAWINEASYUSBDLG_H__542023F6_F2EC_436F_8967_83111C3DB54F__INCLUDED_)
